import React, {Component} from 'react';
import {VisibilitySensor, Affix, Button} from 'ola-ui';

export default class Demo extends Component {

  state = {
    visible: false,
  };

  render() {

    const {visible} = this.state;
    return (
      <div>
        <Affix style={{textAlign: 'right'}}>
          <span
            style={{
              display: 'inline-block',
              padding: 30,
              background: 'red',
              color: '#fff',
            }}>visible: {String(visible)}</span>
        </Affix>

        <VisibilitySensor onChange={(visible) => {
          this.setState({
            visible
          });
        }}>
          <Button type={'primary'}>Button</Button>
        </VisibilitySensor>

        <p style={{paddingTop: 20}}>滚动页面来查看按钮的可见性变化</p>
      </div>)
  }
}
